<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-environ-tech-heading" jhiTranslate="gestioncvsApp.environTech.home.createOrEditLabel">Create or edit a Environ Tech</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.environTech.webTechnlogies" for="field_webTechnlogies">Web Technlogies</label>
                    <input type="text" class="form-control" name="webTechnlogies" id="field_webTechnlogies"
                           formControlName="webTechnlogies"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.environTech.webClientTechnologies" for="field_webClientTechnologies">Web Client Technologies</label>
                    <input type="text" class="form-control" name="webClientTechnologies" id="field_webClientTechnologies"
                           formControlName="webClientTechnologies"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.environTech.baseDonnee" for="field_baseDonnee">Base Donnee</label>
                    <input type="text" class="form-control" name="baseDonnee" id="field_baseDonnee"
                           formControlName="baseDonnee"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.environTech.projetManagementBuilding" for="field_projetManagementBuilding">Projet Management Building</label>
                    <input type="text" class="form-control" name="projetManagementBuilding" id="field_projetManagementBuilding"
                           formControlName="projetManagementBuilding"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.environTech.architechture" for="field_architechture">Architechture</label>
                    <input type="text" class="form-control" name="architechture" id="field_architechture"
                           formControlName="architechture"/>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
